Subject: Re: [Bier] BIER rechartering

From: "Purkayastha, Debashish" <[email-masked]>
Date: Tue, 6 Feb 2018 18:17:03 +0000

Dear Chairs, AD and WG,

I have a suggestion for the BIER re-charter text.  Currently, the re-charter contains the following:

Applicability Statements: The WG will describe how BIER can be applied to multicast L3VPN and to EVPN. This draft will describe what mechanism is used to communicate the group membership between the ingress router and the egress routers, what scalability considerations may arise, and any deployment considerations. The WG will work on additional applicability statements, as needed, describing how BIER can be applied.

Given the importance of HTTP-based services, we therefore suggest to include an additional Applicability Statement documenting how BIER can be applied to aggregate HTTP responses over a BIER infrastructure (which we term as “HTTP Multicast”).

Background:
The BIER use case document already describes an use case of HTTP Multicast (https://tools.ietf.org/html/draft-ietf-bier-use-cases-06#page-11 ). Specifically, it describes how individual HTTP responses can utilize a single BIER multicast response, utilizing an edge-based service routing components on top of the BIER transport.

This new proposed Applicability Statement document will describe how BIER can be applied to implement efficient, dynamic multicast support for the delivery of HTTP responses to individual HTTP requests for the same resource. With the extensive use of “web technology”, “distributed services” and availability of heterogeneous network, HTTP has effectively transitioned into the common transport for E2E communication across the web. This means that in scenarios where semi-synchronous access to the same resource occurs (such as watching prominent videos over Netflix or similar platforms or liveTV over HTTP), traffic grows linearly with the number of viewers since the HTTP-based server will provide an HTTP response to each individual viewer. This poses a significant burden on operators in terms of costs and on users in terms of likely degradation of quality. We believe that BIER can greatly reduce this burden, as described in the mentioned use case, by utilizing the BIER routing overlay to transport a single HTTP response to several edge nodes. Edge nodes may have additional logic to ‘route’ the HTTP-based service from and to the individual clients. The path-based routing applied in BIER is particularly appealing since it will allow for building those multicast relations per HTTP request/response relation in an ad-hoc manner, thereby improving flexibility and utilization even further.

Best Regards,
Debashish

From: BIER [mailto:[email-masked]] On Behalf Of Alia Atlas
Sent: Tuesday, January 23, 2018 6:12 PM
To: [email-masked]
Subject: [Bier] BIER rechartering

As discussed, I have been working with Tony and Greg on the planned rechartering for the
BIER WG.

You can find this version at:  https://datatracker.ietf.org/doc/charter-ietf-bier/.

Please send comments.  I want this to make the February 8 IESG telechat.

================================
The BIER (Bit Index Explicit Replication) Working Group has defined
an architecture [RFC 8279] for  multicast forwarding that uses an
encapsulation [RFC 8296] that can be used on MPLS or Ethernet transport.
The BIER-WG is now chartered to produce Standards Track RFCs and to
update or do a Status Change for those RFCs previously published as
Experimental (RFC 8279, RFC 8296, etc.).

First and primarily, the BIER-WG will complete its work on:
  1) Transition Mechanisms: The WG will describe how BIER
     can be partially deployed and still provide useful
     functionality. A minimum of the necessary mechanisms
     to support incremental deployment and/or managing
     different BIER mask-length compatibility may be defined.
     Operation of BIER in non-congruent topologies, i.e.
     topologies where not all routers are BIER capable can
     also be addressed. In addition to tunneling solutions, other
     approaches to make BIER deployable in such environments
     can be worked on. Each such mechanism must include an
     applicability statement to differentiate its necessity from
     other proposed mechanisms.
  2) Applicability Statements: The WG will describe how BIER can
     be applied to multicast L3VPN and to EVPN. This draft will
     describe what mechanism is used to communicate the group
     membership between the ingress router and the egress routers,
     what scalability considerations may arise, and any deployment
     considerations. The WG will work on additional applicability
     statements, as needed, describing how BIER can be applied.
  3) Use Case: The WG may produce one use-case document that clearly
     articulates the potential benefits of BIER for different use-cases.
  4) Manageability and OAM: The WG will describe how OAM will work in
     a BIER domain and what simplifications BIER offers for managing the
     multicast traffic. A strong preference will be given to extensions to
     existing protocols.
  5) Management models: The WG may work on YANG models and, if needed, MIB
     modules to support common manageability.
  6) IGP extensions. When a BIER domain falls within a "link state IGP"
     network, the information needed to set up the BIER forwarding tables
     (e.g., the mapping between a given bit position and a given egress
     router) may be carried in the link state advertisements of the IGP.
     The link state advertisements may also carry other information related
     to forwarding (e.g., the IGP may support multiple topologies, in which
     case it may be necessary to advertise which topologies are to be used
     for BIER forwarding). Any necessary extensions to the IGP will be
     specified by the WG as Standards Track, in cooperation with the LSR WG.

The BIER-WG is additionally chartered to start Standards Track work on:
  7) BIER in IPv6 :  A mechanism to use BIER natively in IPv6 may be
     standardized if coordinated with the 6MAN WG and with understood
     applicability.  Such functionality may focus on assuming software or
     slow-path support first.
  8) BIER Traffic Engineering:  An architecture for BIER-TE is defined
     in draft-ietf-bier-te-arch; associated fundamental technology is included.
  9) Extensions to support BIER in multi-area IGP Deployments

The BIER-WG is chartered to investigate the following topics. The adoption
of any Standards Track drafts will require a milestone approved by the
responsible Area Director.
  10) Novel uses of the BIER bitmap: There are a variety of proposals for
      additional algorithms and other uses of the BIER bitmap and
      encapsulation beyond BIER and BIER-TE.
  11) BIER between Autonomous Domains:   With understood applicability,
      these scenarios may be investigated.
  12) Use of BIER in Controller-based Architectures:  How might controllers
      be used to provide calculated BIRTs and/or BIFTs tables to BFRs?
  13) Applicability of BIER to Applications: The WG may advise on the
      applicability of BIER to various applications.

The BIER-WG will coordinate with several different working groups and
must include the relevant other working groups during working group
last call on the relevant drafts. BIER-WG will coordinate with MPLS-WG
on the associated MPLS-based OAM mechanisms. BIER-WG will coordinate with
LSR-WG on extensions to flood BIER-related information. BIER-WG will
advise BABEL-WG on Babel extensions to support BIER. BIER-WG will
coordinate with BESS-WG and IDR-WG on the applicability of existing
BGP-based mechanisms for providing multicast group membership information.
BIER-WG will coordinate with PIM-WG on the applicability of and extensions
to PIM, IGMP, and MLD to support BIER operations and transition; BIER-WG
will work directly on the applicability statements, as needed.
=================================

Thanks,
Alia

---

From: Alia Atlas <[email-masked]>
Date: Tue, 6 Feb 2018 15:48:07 -0500

Hi Debashish,

It is precisely this kind of work that is intended by the sentence "The WG
will work on additional applicability statements, as needed, describing how
BIER can be applied."
Until there is more clear interest and discussion on the mailing list, I am
reluctant to put it explicitly in the charter which would be
deciding for the WG what is interesting and important to work on.

Additionally, such HTTP work could happen in an appropriate ART WG - so
what is needed will depend on exploring the space.

Regards,
Alia

On Tue, Feb 6, 2018 at 1:17 PM, Purkayastha, Debashish <
[email-masked]> wrote:

> Applicability Statements: The WG will describe how BIER can be applied to
> multicast L3VPN and to EVPN. This draft will describe what mechanism is
> used to communicate the group membership between the ingress router and the
> egress routers, what scalability considerations may arise, and any
> deployment considerations. The WG will work on additional applicability
> Given the importance of HTTP-based services, we therefore suggest to
> include an additional Applicability Statement documenting how BIER can be
> applied to aggregate HTTP responses over a BIER infrastructure (which we
> term as “HTTP Multicast”).
>
>
>
> Background:
>
> The BIER use case document already describes an use case of HTTP Multicast
> (https://tools.ietf.org/html/draft-ietf-bier-use-cases-06#page-11 ).
> Specifically, it describes how individual HTTP responses can utilize a
> single BIER multicast response, utilizing an edge-based service routing
> components on top of the BIER transport.
>
>
>
> This new proposed Applicability Statement document will describe how BIER
> can be applied to implement efficient, dynamic multicast support for the
> delivery of HTTP responses to individual HTTP requests for the same
> resource. With the extensive use of “web technology”, “distributed
> services” and availability of heterogeneous network, HTTP has effectively
> transitioned into the common transport for E2E communication across the
> web. This means that in scenarios where semi-synchronous access to the same
> resource occurs (such as watching prominent videos over Netflix or similar
> platforms or liveTV over HTTP), traffic grows linearly with the number of
> viewers since the HTTP-based server will provide an HTTP response to each
> individual viewer. This poses a significant burden on operators in terms of
> costs and on users in terms of likely degradation of quality. We believe
> that BIER can greatly reduce this burden, as described in the mentioned use
> case, by utilizing the BIER routing overlay to transport a single HTTP
> response to several edge nodes. Edge nodes may have additional logic to
> ‘route’ the HTTP-based service from and to the individual clients. The
> path-based routing applied in BIER is particularly appealing since it will
> allow for building those multicast relations per HTTP request/response
> relation in an ad-hoc manner, thereby improving flexibility and utilization
> even further.
>
>
>
>
>
> Best Regards,
>
> Debashish
>
>
>
> *From:* BIER [mailto:[email-masked]] *On Behalf Of *Alia Atlas
> *Sent:* Tuesday, January 23, 2018 6:12 PM
> *To:* [email-masked]
> *Subject:* [Bier] BIER rechartering
>
>
>
> This e-mail is intended only for the use of the individual or entity to
> which it is addressed, and may contain information that is privileged,
> confidential and/or otherwise protected from disclosure to anyone other
> than its intended recipient. Unintended transmission shall not constitute
> waiver of any privilege or confidentiality obligation. If you received this
> communication in error, please do not review, copy or distribute it, notify
> me immediately by email, and delete the original message and any
> attachments. Unless expressly stated in this e-mail, nothing in this
> message or any attachment should be construed as a digital or electronic
> signature.
>